<template>
<div v-show="$root.adminInit">
    <button class="scrollToTop">
        <i class="fa fa-angle-up">
        </i>
    </button>
    <div :class="[!window.dedectMobile ? 'open-left-container' : 'close-left-container']" id="left-sidebar" class="wrapper wrapper-show">
        <sidebar-comp>
        </sidebar-comp>
        <div class="right-container normal-view-mode">
            <header-comp>
            </header-comp>
            <div class="">
                <ul class="bc-breadcrumbs-bar">
                </ul>
            </div>
            <router-view>
            </router-view>
            <div class="notifications-container hide-notification-container">
            </div>
        </div>
    </div>
    <div class="bc-alert-container">
    </div>

</div>
</template>

<script>

module.exports = {
    name: "home",
    methods: {},
    data() {
        return {

            tabName: null,
            openPartnerSelector: false,
            openNewCustomerModal: false,
        };
    },
    mounted() {
        setTimeout(() => {
            jQuery(document).ready(function () {
                App.init();
            })
        }, 100);
    }
}
</script>

<style>
/*
.left-container {
    z-index: 1039 !important;
}
.right-container .top-nav-panel {
    z-index: 1039 !important;
}
.modal-backdrop.fade {
    opacity: 0.5 !important;
}
.modal {
    top: 10%;
}*/

.modal-overflow {
    z-index: 99999999 !important;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow-y: auto;
    outline: 0;
    pointer-events: auto;
}

.modal-backdrop~.modal-overflow {
    background: 0 0;
}

.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #000;
    opacity: .5;
    z-index: 1071;
}

.modal {
    overflow-x: hidden;
    overflow-y: auto;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    outline: 0;

}

.modal-overflow .modal {
    position: static;
    max-width: 80%;
    margin: 1.75rem auto;
    pointer-events: auto;
}

.modal-xl .modal-content .wizard-step-content,
.modal-xl-view .modal-content .wizard-step-content {
    height: 560px
}

.modal-content {
    -o-animation-duration: .2s;
    -moz-animation-duration: .2s;
    -webkit-animation-duration: .2s;
    animation-duration: .2s;
    -o-animation-name: scaleShow;
    -moz-animation-name: scaleShow;
    -webkit-animation-name: scaleShow;
    animation-name: scaleShow;
    display: inline-block;
    text-align: left;
    font: 14px/18px Roboto, sans-serif;
    color: #474747;
    margin: 24px 0;
    background: #fff;
    position: relative;
    max-width: 100%;
    min-width: 432px;
    padding: 0 24px;
    border-radius: 5px;
    pointer-events: auto;
}

.modal-sm .modal-content {
    max-width: 450px
}

.modal-xl .modal-content {
    max-width: 1284px;
    width: 100%
}

.modal-xl-view .modal-content {
    max-width: 1184px;
    width: 100%
}

.modal-small.modal-dialog {
    width: 400px
}

.modal-wide.modal-dialog {
    width: 60%
}

.modal-full.modal-dialog {
    width: 100%
}

@media (max-width:768px) {
    .time-field {
        display: none;
    }

    .modal-full.modal-dialog,
    .modal-small.modal-dialog,
    .modal-wide.modal-dialog {
        width: auto
    }
}

.modal-header .close {
    margin-top: 0 !important
}

.modal>.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -22px;
    margin-left: -22px
}

.modal-open {
    overflow-y: auto !important
}

.modal-open-noscroll {
    overflow-y: hidden !important
}

.modal-dialog {
    margin: 1.75rem auto;
    display: table;
    /*
    margin: 1.75rem auto;
    position: relative;
    width: auto;
    margin: 0.5rem;
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    */
}

.fade {
    opacity: 0;
    transition: opacity .15s linear;
}

.modal-backdrop.fade {
    opacity: 0;
}

.fade.show {
    opacity: 1;
}

.modal-backdrop.show {
    z-index: 99999998 !important;
    opacity: .5;
}

.left-container {
    z-index: 1039 !important;
}

.right-container .top-nav-panel {
    z-index: 1039 !important;

}

.bc-buttons-holder,
.pdh-buttons-holder {
    float: left;
    width: 100%;
    padding: 24px 0;
    margin-bottom: 0;
    padding-bottom: 20px;
}

.cp-status-2 td {
    color: red;
}

.cp-status-3 td {
    color: red;
}

.cp-status-1 td {
    color: green;
}

.cp-status-4 td {
    color: blue;
}

.color-b {
    color: blue;
}

.color-r {
    color: red;
}

.color-g {
    color: green;
}

tbody tr:nth-of-type(odd) td {
    background-color: #fff !important;
}

tbody tr:nth-of-type(even) td {
    background-color: #f0f9ff !important;
}

.player-info-menu {
    white-space: nowrap;
    display: block;
    width: 100%;
    height: 55px;
    overflow-x: overlay;
    overflow-y: hidden;
    float: left;
    overflow-y: HIDDEN;
    overflow-x: AUTO;
    display: flex;
    max-width: 100vw;
}

@media screen and (max-width: 1400px) {
    html[dir=ltr] .center-column-v3:not(.live) {
        border-left-width: 4px;
    }
}

@media screen and (max-width: 768px) {
    .modal-overflow {
        pointer-events: auto !important;
    }

    .xs-none {
        display: none !important;
    }

    .bc-col-4 {
        width: 49.333%;
    }

    .bc-col-3 {
        width: 49.333%;
    }
    .pdh-buttons-holder button {
        width:  100% !important;
        margin-bottom:  15px !important;
    }
    .date-periods-container button {
    width: 50%;
}

}

.logo-block:before {
    content: attr(title);
    background: linear-gradient(to right, #1478fa, #22c5fc);
    -webkit-background-clip: text;
    text-align: center;
    font-weight: 400;
    font-size: 25px;
    letter-spacing: 0.1em;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 2px;
}


</style>
